# PSPSDK Utility Library

## Functions

int | pspSdkQueryModuleInfoV1 (SceUID uid, SceKernelModuleInfo *modinfo)
| Query a modules information from its uid.
int | pspSdkInstallNoDeviceCheckPatch (void)
| Patch the sceModuleManager module to nullify LoadDeviceCheck() calls.
int | pspSdkInstallNoPlainModuleCheckPatch (void)
| Patch sceLoadCore module to remove loading plain module checks.

## Function Documentation

int pspSdkInstallNoDeviceCheckPatch | ( | void |  | ) |

Patch the sceModuleManager module to nullify LoadDeviceCheck() calls.

Returns:
  0 on success, otherwise one of PspKernelErrorCodes.

Note:
  This function must be called while running in kernel mode. The program must also be linked against the pspkernel library.

int pspSdkInstallNoPlainModuleCheckPatch | ( | void |  | ) |

Patch sceLoadCore module to remove loading plain module checks.

Note:
  This function must be called while running in kernel mode.

Returns:
  0 on success, otherwise one of PspKernelErrorCodes.

int pspSdkQueryModuleInfoV1 | ( | SceUID | uid,
|  | SceKernelModuleInfo * | modinfo
| ) |

Query a modules information from its uid.

Note:
  this is a replacement function for the broken kernel sceKernelQueryModuleInfo. DO NOT use on a anything above that version. This also needs kernel mode access where the normal one has a user mode stub.

Parameters:

  | uid | - The UID of the module to query.
  | modinfo | - Pointer a module SceKernelModuleInfo structure.

Returns:
  < 0 on error.